aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile1
-rwxr-xr-xpdf-fixups.sh15
2 files changed, 16 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index d737a7407..7914fe2ee 100644
--- a/Makefile
+++ b/Makefile
@@ -51,6 +51,7 @@ pdf: validxml
--output $(RENDERTMP)/lfs-pdf.fo stylesheets/lfs-pdf.xsl \
$(RENDERTMP)/lfs-pdf.xml
$(Q)sed -i -e 's/span="inherit"/span="all"/' $(RENDERTMP)/lfs-pdf.fo
+ $(Q)bash pdf-fixups.sh $(RENDERTMP)/lfs-pdf.fo
@echo "Generating PDF file..."
$(Q)if [ ! -e $(BASEDIR) ]; then \
diff --git a/pdf-fixups.sh b/pdf-fixups.sh
new file mode 100755
index 000000000..4d319457c
--- /dev/null
+++ b/pdf-fixups.sh
@@ -0,0 +1,15 @@
+#!/bin/bash --verbose
+
+if [ $# -lt 1 ] ; then
+ echo "This script needs the location of the fo file to update"
+ exit 1
+fi
+
+
+FILE=$1
+
+LINE=$( grep -n "DO NOT EDIT" $FILE | cut -f1 -d: )
+LINE=$(( LINE - 1 ))
+
+sed -i -e "$LINE s/monospace/&\" font-size=\"9pt/" $FILE
+